ACH Tokens

Get Stored ACH Token

get

Retrieve the details of a stored ACH token using the specified token ID.

Path parameters
tokenIdstringRequired

Specifies the unique identifier of the ACH token.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Responses
chevron-right
200

Success

Payload

payloadTypestringOptional

Indicates the type of payload returned in the response.

get
/rest/v2/ach/tokens/{tokenId}

Update ACH tokens

put

Update the details of an existing ACH token identified by the specified token ID.

Path parameters
tokenIdstringRequired

Specifies the unique identifier of the ACH token.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body

Use this model when creating a new ach token

routing-numberstringRequired

Specifies the bank routing number used to create the ACH token.

Example: 081009813
account-numberstringRequired

Specifies the bank account number (1 to 17 digits) used to create the ACH token.

Example: 123456789
account-typestring · enumRequired

Specifies the type of bank account. Possible values: Checking, Savings.

Example: CheckingPossible values:
individual-namestringRequired

Specifies the name of the bank account holder.

Example: John Doe
token-descriptionstringOptional

Provides a description for the ACH token.

Example: Business checking account
customer-keystringOptional

Identifies the customer associated with the ACH token.

Example: customer123
defaultbooleanOptional

Indicates whether this token is the default payment method for the customer.

Example: false
software-typestringRequired

Identifies the software application.

Example: MySoftware
software-type-versionstringRequired

Specifies the version of the software application.

Example: v1.0
check-digit-enabledbooleanOptional

Indicates whether the check-digit validation algorithm is enabled for New Zealand (NZ) bank accounts.

Example: false
Responses
chevron-right
200

Successful Token Update

Payload

payloadTypestringOptional

Indicates the type of payload returned in the response.

put
/rest/v2/ach/tokens/{tokenId}

Delete an ACH Token

delete

Delete the ACH token identified by the specified token ID.

Path parameters
tokenIdstringRequired

Specifies the unique identifier of the ACH token.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Responses
chevron-right
200

Success

Payload

payloadTypestringOptional

Indicates the type of payload returned in the response.

delete
/rest/v2/ach/tokens/{tokenId}

Create Reusable ACH Token

post

Create a reusable ACH token by securely storing a customer's bank account details.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body

Use this model when creating a new ach token

routing-numberstringRequired

Specifies the bank routing number used to create the ACH token.

Example: 081009813
account-numberstringRequired

Specifies the bank account number (1 to 17 digits) used to create the ACH token.

Example: 123456789
account-typestring · enumRequired

Specifies the type of bank account. Possible values: Checking, Savings.

Example: CheckingPossible values:
individual-namestringRequired

Specifies the name of the bank account holder.

Example: John Doe
token-descriptionstringOptional

Provides a description for the ACH token.

Example: Business checking account
customer-keystringOptional

Identifies the customer associated with the ACH token.

Example: customer123
defaultbooleanOptional

Indicates whether this token is the default payment method for the customer.

Example: false
software-typestringRequired

Identifies the software application.

Example: MySoftware
software-type-versionstringRequired

Specifies the version of the software application.

Example: v1.0
check-digit-enabledbooleanOptional

Indicates whether the check-digit validation algorithm is enabled for New Zealand (NZ) bank accounts.

Example: false
Responses
chevron-right
200

Successful Token Creation

Payload

payloadTypestringOptional

Indicates the type of payload returned in the response.

post
/rest/v2/ach/tokens

Last updated

Was this helpful?